require 'sketchup.rb'
require 'extensions.rb'
module CURIC
  module Extend
    PLUGIN            = self
    PLUGIN_NAMESPACE  = 'Curic'.freeze
    PLUGIN_ID     	  = 'Extend'.freeze
    PLUGIN_NAME     	= "#{PLUGIN_NAMESPACE} #{PLUGIN_ID}".freeze
    PLUGIN_VERSION  	= '1.0.4'.freeze

    FILENAMESPACE = File.basename(__FILE__, '.*')
    PATH_ROOT     = File.dirname(__FILE__).freeze
    PATH          = File.join(PATH_ROOT, FILENAMESPACE).freeze

    ex = SketchupExtension.new(PLUGIN_NAME, "#{FILENAMESPACE}/loader")
    ex.version     = PLUGIN_VERSION
    ex.copyright   = 'Vo Quoc Hai © 2019–2022'
    ex.creator     = 'Vo Quoc Hai (curic4su@gmail.com)'
    ex.description = 'Extend tools for SketchUp'
    Sketchup.register_extension(ex, true)
  end
end
file_loaded( __FILE__ )
