ELEMENT.locale(ELEMENT.lang.en)
var app = new Vue({
  el: '#app_item_define',
  data: function() {
    return {
      su_items: this.generateDataItems(),
      sectionItems: [],
      filterItem(query, item) {
        return item.label.toLowerCase().indexOf(query.toLowerCase()) > -1;
      }
    }
  },
  methods:{
    generateDataItems() {
      const data = [];
      const states = ['California', 'Illinois', 'Maryland', 'Texas', 'Florida', 'Colorado', 'Connecticut '];
      states.forEach((city, index) => {
        data.push({
          label: city,
          key: index
        });
      });
      return data;
    },
    itemsChange(value){
      sketchup.layers_change(value)
    },
    apply(){
      sketchup.apply(this.sectionItems)
    },
    refreshList(){
      sketchup.refresh_list()
    }
  },
  computed:{
  },
  mounted: function() {
    sketchup.ready();
  },
})

function updateItems(su_items) {
  app.su_items = su_items
}
function updateSectionItems(items) {
  app.sectionItems = items
}
