require 'sketchup.rb'
require 'extensions.rb'
module CURIC
	module SectionView
		PLUGIN = self
		PLUGIN_NAMESPACE	= 'Curic'.freeze
		PLUGIN_ID     	= 'Section View'.freeze
		PLUGIN_NAME     	= "#{PLUGIN_NAMESPACE} #{PLUGIN_ID}".freeze
		PLUGIN_VERSION  	= '1.0.3'.freeze

		# Resource paths
    FILENAMESPACE = File.basename(__FILE__, '.*')
    PATH_ROOT     = File.dirname(__FILE__).freeze
		PATH          = File.join(PATH_ROOT, FILENAMESPACE).freeze
		
		unless file_loaded?( __FILE__ )
			ex = SketchupExtension.new(PLUGIN_NAME, "#{FILENAMESPACE}/loader")
			ex.version     	= PLUGIN_VERSION
			ex.copyright   	= 'Vo Quoc Hai © 2019–2022'
			ex.creator     	= 'Vo Quoc Hai (curic4su@gmail.com)'
			ex.description	= 'Control Section View'
			Sketchup.register_extension( ex, true )
		end
	end
end
file_loaded( __FILE__ )
